For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Resources
Get started
ReferenceGuidesChangelog
ReferenceGuidesChangelog
  • v2 Migration
    • Webflow v1 API Deprecation Notice
    • Migrating to v2
  • Meta
    • GETAuthorized User
    • GETAuthorized Info
  • Sites
  • CMS
      • GETList Collection Items
      • POSTCreate Collection Item
      • DELRemove Collection Items
      • PUTPublish Collection Items
      • GETGet Collection Item
      • PUTUpdate Collection Item
      • DELRemove Collection Item
      • PATCHPatch Collection Item
      • POSTItem Created
      • POSTItem Updated
      • POSTItem Deleted
      • POSTItem Unpublished
  • Ecommerce
LogoLogo
Resources
Get started
CMSItems

Get Collection Item

GET
https://api.webflow.com/collections/:collection_id/items/:item_id
GET
/collections/:collection_id/items/:item_id
$curl https://api.webflow.com/collections/580e63fc8c9a982ac9b8b745/items/580e64008c9a982ac9b8b754 \
> -H "Accept-Version: 1.0.0" \
> -H "Authorization: Bearer <token>"
1{
2 "items": [
3 {
4 "_archived": false,
5 "_draft": false,
6 "_id": "582b900cba19143b2bb8a759",
7 "_cid": "580e63fc8c9a982ac9b8b745",
8 "name": "Exciting blog post title",
9 "slug": "exciting-post",
10 "color": "#a98080",
11 "post-body": "<p>Blog post contents...</p>",
12 "post-summary": "Summary of exciting blog post",
13 "main-image": {
14 "fileId": "580e63fe8c9a982ac9b8b749",
15 "url": "https://dev-assets.website-files.com/580e63fc8c9a982ac9b8b744/580e63fe8c9a982ac9b8b749_1477338110257-image20.jpg"
16 },
17 "author": "580e640c8c9a982ac9b8b778",
18 "updated-on": "2016-11-15T22:45:32.647Z",
19 "updated-by": "Person_5660c5338e9d3b0bee3b86aa",
20 "created-on": "2016-11-15T22:45:32.647Z",
21 "created-by": "Person_5660c5338e9d3b0bee3b86aa",
22 "published-on": null,
23 "published-by": null
24 }
25 ],
26 "count": 1,
27 "limit": 1,
28 "offset": 0,
29 "total": 5
30}
Get an item in a collection
Was this page helpful?
Previous

Update Collection Item

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

collection_idstringRequiredformat: "uuid"
Unique identifier for a Collection
item_idstringRequiredformat: "uuid"
Unique identifier for and Item

Headers

Accept-VersionstringOptional
The API version

Response

Request was successful
itemslist of objects
List of Items within the collection
countinteger
Number of items returned
limitintegerDefaults to 100
The limit specified in the request
offsetintegerDefaults to 0
The offset specified for pagination
totalinteger
Total number of items in the collection

Errors

400
Bad Request Error
401
Unauthorized Error
404
Not Found Error
429
Too Many Requests Error
500
Internal Server Error